Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046160
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-03-26 11:432021-04-15 14:24
ReporterjmelinView Statuspublic 
Assigned Tomtaal 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046160: JIRA 1515 - Stock level not updated correctly for menu component

DescriptionIf we create a menu with a component manage in stock and update the quantity of the menu, then the stock level is only decreased by 1

It should take into account that the quantity can't be modified to a value that will cause the stock to be <0
Steps To ReproduceCreate 1 menu on the POS with a component in stock
Modify quantity to 50
the number of reservation is 1 on the keymap

Pay the sales order
The stock level is only decreased by 1 instead of 50.

This can be confirmed by checking the stock window
TagsTakeaway
Attached Filespng file icon c9c6dd32-ce8b-4715-8350-d2c36c33b059.png [^] (90,559 bytes) 2021-03-26 11:43


png file icon 65427954-bafa-467d-a157-2b7b5c01627c.png [^] (73,270 bytes) 2021-03-26 11:43


png file icon 8855c2fc-0256-4b8d-9dc6-02f059406139.png [^] (18,525 bytes) 2021-03-26 11:43

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127092)
mtaal (manager)
2021-04-05 20:53

https://gitlab.com/obcustomers/AGAP/org.openbravo.stockserver/-/commit/0a032e936cdb840cbf19779728b0ba402c141edf [^]
(0127114)
jmelin (developer)
2021-04-06 17:54

it's possible to add more products than available in stock when modifying menu quantity

You should have a similar behavior as for a single product

- Issue History
Date Modified Username Field Change
2021-03-26 11:43 jmelin New Issue
2021-03-26 11:43 jmelin Assigned To => Retail
2021-03-26 11:43 jmelin File Added: c9c6dd32-ce8b-4715-8350-d2c36c33b059.png
2021-03-26 11:43 jmelin Triggers an Emergency Pack => No
2021-03-26 11:43 jmelin Assigned To Retail => mtaal
2021-03-26 11:43 jmelin File Added: 65427954-bafa-467d-a157-2b7b5c01627c.png
2021-03-26 11:43 jmelin File Added: 8855c2fc-0256-4b8d-9dc6-02f059406139.png
2021-03-26 12:06 jmelin Tag Attached: Takeaway
2021-03-29 11:56 psanjuan Relationship added related to 0045875
2021-03-29 12:05 psanjuan Relationship deleted related to 0045875
2021-03-31 12:20 mtaal Status new => scheduled
2021-04-04 00:58 mtaal Status scheduled => resolved
2021-04-04 00:58 mtaal Resolution open => fixed
2021-04-05 20:53 mtaal Note Added: 0127092
2021-04-06 17:54 jmelin Note Added: 0127114
2021-04-06 17:54 jmelin Status resolved => new
2021-04-06 17:54 jmelin Resolution fixed => open
2021-04-06 21:42 mtaal Status new => scheduled
2021-04-06 21:42 mtaal Status scheduled => resolved
2021-04-06 21:42 mtaal Resolution open => fixed
2021-04-15 14:24 jmelin Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker